var manual =
[
    [ "Introduction", "_introduction.html", null ],
    [ "The Core Objects", "_the-_core-_objects.html", [
      [ "The Root object", "_the-_core-_objects.html#The-Root-Object", null ],
      [ "The RenderSystem object", "_the-_core-_objects.html#The-RenderSystem-object", null ],
      [ "The SceneManager object", "_the-_core-_objects.html#The-SceneManager-object", null ],
      [ "The ResourceGroupManager Object", "_the-_core-_objects.html#The-ResourceGroupManager-Object", null ],
      [ "The Mesh Object", "_the-_core-_objects.html#The-Mesh-Object", null ],
      [ "Entities", "_the-_core-_objects.html#Entities", null ],
      [ "Materials", "_the-_core-_objects.html#Materials", null ],
      [ "Overlays", "_the-_core-_objects.html#Overlays", null ]
    ] ],
    [ "Resource Management", "_resource-_management.html", [
      [ "Resource Life-cycle", "_resource-_management.html#Resource-Life-cycle", null ],
      [ "Locations", "_resource-_management.html#Resource-Location", null ],
      [ "Groups", "_resource-_management.html#Resource-Groups", [
        [ "Resource-Declaration", "_resource-_management.html#Resource-Declaration", null ]
      ] ]
    ] ],
    [ "Scripts", "_scripts.html", "_scripts" ],
    [ "Runtime Shader Generation", "rtss.html", [
      [ "RTSS Pass properties", "rtss.html#rtss_custom_mat", null ],
      [ "RTSS Texture Unit properties", "rtss.html#rtss_tu_props", null ],
      [ "Setting properties programmatically", "rtss.html#RTSS-Props-API", null ],
      [ "System overview", "rtss.html#rtss_overview", [
        [ "Core features of the system", "rtss.html#core-feats", null ]
      ] ],
      [ "The RTSS in Depth", "rtss.html#rtss_indepth", [
        [ "Main components", "rtss.html#rtss__components", null ],
        [ "Customizing the default RenderState", "rtss.html#rtss_custom_api", null ],
        [ "Creating shader based technique", "rtss.html#rtssTech", null ],
        [ "Shader generation at runtime", "rtss.html#rtssGenerate", null ],
        [ "Creating custom shader extensions", "rtss.html#creating-extensions", null ],
        [ "Tips for debugging shaders", "rtss.html#debugging", null ]
      ] ]
    ] ],
    [ "Mesh Tools", "_mesh-_tools.html", [
      [ "XMLConverter", "_mesh-_tools.html#XMLConverter", null ],
      [ "MeshUpgrader", "_mesh-_tools.html#MeshUpgrader", null ],
      [ "AssimpConverter", "_mesh-_tools.html#AssimpConverter", null ],
      [ "Exporters", "_mesh-_tools.html#Exporters", null ]
    ] ],
    [ "Hardware Buffers", "_hardware-_buffers.html", [
      [ "The Hardware Buffer Manager", "_hardware-_buffers.html#The-Hardware-Buffer-Manager", null ],
      [ "Buffer Usage", "_hardware-_buffers.html#Buffer-Usage", null ],
      [ "Shadow Buffers", "_hardware-_buffers.html#Shadow-Buffers", null ],
      [ "Data Transfer", "_hardware-_buffers.html#Data-Transfer", [
        [ "Locking buffers", "_hardware-_buffers.html#Locking-buffers", null ]
      ] ],
      [ "Practical Buffer Tips", "_hardware-_buffers.html#Practical-Buffer-Tips", null ],
      [ "Hardware Vertex Buffers", "_hardware-_buffers.html#Hardware-Vertex-Buffers", [
        [ "The VertexData class", "_hardware-_buffers.html#The-VertexData-class", null ],
        [ "Vertex Declarations", "_hardware-_buffers.html#Vertex-Declarations", null ],
        [ "Vertex Buffer Bindings", "_hardware-_buffers.html#Vertex-Buffer-Bindings", null ],
        [ "Creating the Vertex Buffer", "_hardware-_buffers.html#Creating-the-Vertex-Buffer", null ],
        [ "Binding the Vertex Buffer", "_hardware-_buffers.html#Binding-the-Vertex-Buffer", null ],
        [ "Updating Vertex Buffers", "_hardware-_buffers.html#Updating-Vertex-Buffers", null ]
      ] ],
      [ "Hardware Index Buffers", "_hardware-_buffers.html#Hardware-Index-Buffers", [
        [ "The IndexData class", "_hardware-_buffers.html#The-IndexData-class", null ],
        [ "Updating Index Buffers", "_hardware-_buffers.html#Updating-Index-Buffers", null ]
      ] ],
      [ "Hardware Pixel Buffers", "_hardware-_buffers.html#Hardware-Pixel-Buffers", [
        [ "Pixel boxes", "_hardware-_buffers.html#Pixel-boxes", null ],
        [ "Updating Pixel Buffers", "_hardware-_buffers.html#Updating-Pixel-Buffers", [
          [ "Blit from memory", "_hardware-_buffers.html#blitFromMemory", null ],
          [ "Direct memory locking", "_hardware-_buffers.html#Direct-memory-locking", null ]
        ] ]
      ] ],
      [ "Textures", "_hardware-_buffers.html#Textures", [
        [ "Creating a texture", "_hardware-_buffers.html#Creating-a-texture", null ],
        [ "Getting a PixelBuffer", "_hardware-_buffers.html#Getting-a-PixelBuffer", null ],
        [ "Cube map textures", "_hardware-_buffers.html#Cube-map-textures", null ],
        [ "Pixel Formats", "_hardware-_buffers.html#Pixel-Formats", [
          [ "Colour channels", "_hardware-_buffers.html#Colour-channels", null ]
        ] ]
      ] ]
    ] ],
    [ "Shadows", "_shadows.html", [
      [ "Enabling shadows", "_shadows.html#Enabling-shadows", null ],
      [ "Opting out of shadows", "_shadows.html#Opting-out-of-shadows", null ],
      [ "Stencil Shadows", "_shadows.html#Stencil-Shadows", null ],
      [ "Texture-based Shadows", "_shadows.html#Texture_002dbased-Shadows", null ],
      [ "Configuring Texture Shadows", "_shadows.html#Configuring-Texture-Shadows", null ],
      [ "Texture shadows and vertex / fragment programs", "_shadows.html#texture_shadows_and_shaders", [
        [ "Integrated Texture Shadows", "_shadows.html#Integrated-Texture-Shadows", null ]
      ] ],
      [ "Modulative Shadows", "_shadows.html#Modulative-Shadows", null ],
      [ "Additive Light Masking", "_shadows.html#Additive-Light-Masking", [
        [ "Manually Categorising Illumination Passes", "_shadows.html#Manually-Categorising-Illumination-Passes", null ],
        [ "Pass Classification and Vertex Programs", "_shadows.html#Pass-Classification-and-Vertex-Programs", null ],
        [ "Static Lighting", "_shadows.html#Static-Lighting", null ]
      ] ]
    ] ],
    [ "Animation", "_animation.html", [
      [ "Animation State", "_animation.html#Animation-State", null ],
      [ "Skeletal Animation", "_animation.html#Skeletal-Animation", null ],
      [ "SceneNode Animation", "_animation.html#SceneNode-Animation", null ],
      [ "Vertex Animation", "_animation.html#Vertex-Animation", [
        [ "Morph Animation", "_animation.html#Morph-Animation", null ],
        [ "Pose Animation", "_animation.html#Pose-Animation", null ],
        [ "Combining Skeletal and Vertex Animation", "_animation.html#Combining-Skeletal-and-Vertex-Animation", null ]
      ] ],
      [ "Numeric Value Animation", "_animation.html#Numeric-Value-Animation", null ]
    ] ],
    [ "Instancing", "_instancing.html", "_instancing" ],
    [ "Cross-platform Shaders", "_cross-platform-_shaders.html", null ]
];